\chapter{Conclusion and Future Work}

In this thesis we presented different approaches for finding semantic similarity. We introduced methods to retrieve synonyms with the help of a lexical database and of word vectors. Moreover, we have shown efficient ordering schemes. This was done by either looking up a static value for a sentiment in \sentiwordnet or doing analogy reasoning with \wordvec. Our results have shown that some of our approaches capture reasonably enough synonyms out of the ground truth, and that given an ordering scheme, \wordvec can mimic its relations. Furthermore, we can conclude that the lexical approaches based on \wordnet retrieve fewer adjectives, but they are very precise. On the contrary, \spacy is less precise but has a overall better F-score.
\vspace{0.8em}

Considering that some of the approaches examined in this thesis perform well, we assume that a combination of these might yield good results. However, in the context of similarity, many other tools can be used to improve the performance of the methods developed in this thesis. \emph{Adagram (Adaptive Skip Gram)} \cite{Bartunov2016} is a word vector based tool that allows disambiguation of terms, such that one can first disambiguate, and then use the vectors related only to that sense. In the context of disambiguation we mentioned \emph{Lesk} \cite{Lesk1986}, which could be used together with \wordnet to first find the sense and to consider only the synsets and the \emphq{similar to} synsets of those. Regarding sentiment analysis, Schouten \citeal{Schouten2018} propose a ontology-based method to find sentiment using machine learning methods, which could be used an ordering scheme for our approach.